This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465829 - Errata.listPackages defines the struct of channel labels incorrectly
Errata.listPackages defines the struct of channel labels incorrectly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-10-06 12:01 EDT by Justin Sherrill
Modified: 2009-09-10 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-10-06 12:01:05 EDT
The docs say Errata.listPackages returns:

array:

    * struct - package
          o int "id"
          o string "name"
          o string "epoch"
          o string "version"
          o string "release"
          o string "arch_label"
          o array "string"
                + label Channel label providing this package.
          o string "build_host"
          o string "description"
          o string "md5sum"
          o string "vendor"
          o string "summary"
          o string "cookie"
          o string "license"
          o string "file"
          o string "path"
          o string "build_date"
          o string "last_modified_date"
          o string "size"
          o string "payload_size"


The problem here is: 
          o array "string"
                + label Channel label providing this package.

This states that the key into the struct is "string", which makes no sense.  It is in reality "providing_channels".   So this should be:

          o array "providing_channels"
                + string - Channel label providing this package.
Comment 1 Brad Buckingham 2009-02-11 09:35:30 EST
git commit: 955d649693231b17bb85c09baa349b6d8b9937cb

Method: listPackages
Description:
Returns a list of the packages affected by the erratum with the given advisory name.

Parameters:

    * string sessionKey
    * string advisoryName

Returns:

    * array:
          o struct - package
                + int "id"
                + string "name"
                + string "epoch"
                + string "version"
                + string "release"
                + string "arch_label"
                + array "providing_channels"
                      # string - Channel label providing this package.
                + string "build_host"
                + string "description"
                + string "md5sum"
                + string "vendor"
                + string "summary"
                + string "cookie"
                + string "license"
                + string "file"
                + string "path"
                + string "build_date"
                + string "last_modified_date"
                + string "size"
                + string "payload_size"
Comment 2 John Matthews 2009-02-17 09:51:11 EST
ISO:  Satellite-5.3.0-RHEL5-re20090213.1-i386-embedded-oracle.iso

Method: listPackages
Description:
Returns a list of the packages affected by the erratum with the given advisory name.

Parameters:

    * string sessionKey
    * string advisoryName

Returns:

    * array:
          o struct - package
                + int "id"
                + string "name"
                + string "epoch"
                + string "version"
                + string "release"
                + string "arch_label"
                + array "providing_channels"
                      # string - Channel label providing this package.
                + string "build_host"
                + string "description"
                + string "md5sum"
                + string "vendor"
                + string "summary"
                + string "cookie"
                + string "license"
                + string "file"
                + string "path"
                + string "build_date"
                + string "last_modified_date"
                + string "size"
                + string "payload_size"
Comment 3 Brandon Perkins 2009-09-10 15:53:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.